Subject: [CCAMP] Questions on PROTECTION object in RFC 4872 GMPLS E2E Protection

From: Saravanan Narasimhan <[email-masked]>
Date: Sun, 26 Jun 2011 17:19:42 +0530

Dear CCAMP-WG,

I have a question regarding PROTECTION object defined RFC 4872.

My understanding is as follows:

1. PROTECTION object with C-Type = 1 as defined in RFC 3471 and RFC 3473 is
used for span protection and restoration. By setting the MIB object
gmplsTunnelLinkProtection which is defined in the RFC 4802 we can achieve
span protection and restoration for a Tunnel.
2. PROTECTION object with C-Type = 2 as defined in RFC 4872 is used for
End-to-End and/or segment protection and restoration.

Is my understanding correct?

If yes, do we have MIB objects defined to configure End-to-End and/or
segment protection and restoration? Can you please point any references to
it?

Thanks,
N.Saravanan